CREATE OR REPLACE PACKAGE PATIENT_DATA_SERVICES AS

function get_patient_id
( p_first_name in varchar2
, p_last_name  in varchar2
) return number
;

function get_patient_record
( p_patient_id in number
) return  patient_t
;

END PATIENT_DATA_SERVICES;
/

CREATE OR REPLACE PACKAGE BODY PATIENT_DATA_SERVICES AS

function get_patient_id
( p_first_name in varchar2
, p_last_name  in varchar2
) return number
 AS
  l_ptt_id number;
  BEGIN
    select ptt.id
    into   l_ptt_id
    from   patients ptt
    where  ptt.first_name = p_first_name
    and    ptt.last_name  = p_last_name
    ;
    RETURN l_ptt_id;
  END get_patient_id;

function get_patient_record
( p_patient_id in number
) return  patient_t
is
  l_patient patient_t:= patient_t('Jennifer','Rodham', null, 'F',null, PHYSICALCHARACTERISTIC_TBL_T());
  l_physicalcharacteristic physicalcharacteristic;
begin
  l_patient.first_name := 'Jennifer';
  l_patient.last_name := 'Rodham';
  l_patient.birth_date := to_date('04-07-1956','DD-MM-YYYY');
  l_patient.gender := 'F';
  l_patient.initials := 'Q.E.D.';
  l_physicalcharacteristic := physicalcharacteristic( to_date('12-09-2008','DD-MM-YYYY'), 'Body Weight', '76','kg');
  l_patient.physical_characteristics := PHYSICALCHARACTERISTIC_TBL_T(l_physicalcharacteristic);
  return l_patient;
end get_patient_record;


END PATIENT_DATA_SERVICES;
/

